<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Oganikku</title>
    <!-- CSS only -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  </head>
  <style>
    .grid-container {
      display: grid;
      grid-template-columns: 18% 82%;
    }
    .card-product {
      width: 350px;
      height: 450px;
      background-color: white;
      margin-left: 5%;
      border-radius: 15px;
    }
    .content-section {
      text-align: center;
    }
    .bg {
      background: url(static/images/testProduct.jpg);
    }
    .addCard-btn{
        margin-top:10%;
        width: 150px;
        height: 38px;
        background-color: white;
        color:black;
        text-align: center;
        border-radius:20px;
        padding-top: 5px;
    }
    table-block-address input {
        width: 100%;
     
        border-radius: 18px;

        padding-left: 12px;
        color: 
        #7B7B7B;
      }

      #txt{
        font-family: Century Gothic;
        color:  #7B7B7B;

      } 
    .sub-grid-container{
        display: grid;
        grid-template-columns: 50% 50%;
    }
    table {
         width: 100%;
     }
     .ship-table td{
        width: 50%;
        text-align: center;
     }
     .ship-table tr{
         margin-top:5%;
         height: 200px;
     }
     .left-text{
         text-align: left;
         vertical-align: auto;
         
         font-size: 22px;
    }
    .fiximage{
        border-radius: 15px;
        width: 200px;
        height: 150px;
        margin-left: auto;
        margin-right: auto;
        border-radius: 15px;
      
    }
    .ver-top{
        vertical-align: top;
        font-weight: bold;
       
    }
    .flex-container-right{
        display: flex;
        justify-content: space-between;
    }
    .block-address{
        width: 600px;
        max-height: 310px;
       
        margin-left: 11px;
        border-radius: 15px;
        margin-top: 2%;
        overflow-y: auto;
    }
    .block-text{
        background-color: white;
        border-color: #dcdcdc;
        border-radius: 18px;
        height: 200px;
        padding: 20px;
        width: 100%;
        overflow-y: auto;
    }
    .btn-addaddress{
        width: 600px;
        height: 50px;
        background-color: white;
        border-radius: 20px;
        margin-top:2%;
        margin-left: 11px;
        text-align: center;
        align-items: center;
        padding-top: 10px;
        font-size: 20px;
        font-weight: bold;
        cursor: pointer;

    }
    .table-blod-address{
        width: 100%;
    }
    .circle{
        width: 20px;
        height: 20px;
        border-radius: 50px;
     
        text-align: center;
        margin-left: auto;
       
    }
    #myCheck{
        width: 50px;
        height: 50px;
        border-radius: 50px;
    }
    .table-block-address #txt{
        font-weight: bold;
        font-size: 18px;

    }
    .form-check-input:checked {
     background-color: #A9D18E; 
     border-color: #ECECEC; 
}
.form-check-input:checked[type=radio] {
   background-image: none;
}
.form-check-input{
    width: 15px;
}
.form-check-input:focus {
    border-color: none;
    outline: 0;
    box-shadow: none;
}
.confirm-btn{
    color: white;
    width: 200px;
    background-color: #A9D18E;
    font-family: Century Gothic;
    font-size: 20px;
    padding: 5px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    font-weight: bold;
    border-radius: 18px;
    cursor: pointer;
}
  </style>
  <body style="background-color: #ECECEC">
    <div class="grid-container">
      <div>{% include 'sidebar.html' %}</div>

    <div style="height: min-content;">
            <div class="sub-grid-container" id="txt">
                <div style="height: min-content;">
                    
                    <div id="txt" style="text-align: end;font-weight: bold;font-size: 30px;padding-top:10px;padding-right: 5%;">
                        {{ count }} item
                    </div>
                    <div>
                        <table class="ship-table">
                            {% for item in cart %}
                            <tr>
                                <td class="ver-top">
                                    <img src="{{url_for('static', filename = 'images/preview_product/'+ cart[item].preview_image)}}" alt="" class="fiximage"  srcset="">

                                </td>
                                <td class="ver-top">
                                    <div class="left-text">{{ cart[item].name }} {{ cart[item].pp }}B/KG</div>
                                    <!-- <div class="left-text">1000G</div> -->
                                    <div class="left-text">{{ cart[item].amount }}KG.</div>
                                    <div class="left-text">${{ cart[item].pp*cart[item].amount }}</div>
                                </td>
                            </tr>
                            {% endfor %}
                        </table>
                    </div>
                </div>
                <div style="height: 100vh;">
                    <div style="min-height: 100vh;border-left: 2px solid #dcdcdc;height: auto;">
                        <div class="flex-container-right">
                        <div id="txt" style="font-weight: bold;font-size: 30px;padding-top:10px;padding-left: 5%;">
                            SHIPPING ADDRESS
                        </div>
                        <div style="padding-top: 30px; padding-right: 20px;">
                            ADDRESS MANAGEMENT
                        </div>
                    </div>

                    <div class="block-address">

                        <div class="table-block-address">
                          
                         
                              {% if address!=[] %}
                                <div class="block-text" style="display: inline-block;">

                                    <form action="{{url_for('shop_list.confirm_order')}}" id="confirmForm" method="POST">
                                        <div class="form-check">
                                            
                                            {% for item in address %}    
                          
                                            <input class="form-check-input" required type="radio" name="address_id" id="radioAddress " value='{{item.id}}' width="500px;overflow-x:auto;padding:10px;">
                                            <div style="  overflow-wrap: break-word;">
                                                <div>
                                                Name :    {{item.name}}
                                                </div>
                                                <div >
                                                Address :    {{item.address}}
                                                </div>
                                                <div>
                                                Country :    {{item.country}}
                                                </div>
                                                <div>
                                                Postcode    {{item.postcode}}
                                                </div>
                                                <div>
                                                Tels.    {{item.phone}}
                                                </div>
                                            </div>
                                        
                                        <hr>
                                        {% endfor %}


                                        </div>


                                </div>
                            {% endif %} 




                             
                        </div>

                        
                    </div>
                    <div class="btn-addaddress" id="txt" onclick="addadres()">
                        + add address
                    </div>
                    <div id="txt" style="font-weight: bold;font-size: 30px;padding-top:10px;padding-left: 5%;">
                        DELIVERY
                    </div>
                    <div class="table-block-address">
                    
                       <table style="margin-top:4%; overflow-y: auto;">
                        {% for item in tran_option %}
                        <tr style="width:80%;">
                            <td style="padding-left: 30px;display: flex;">

                                <div>
                                    <input class="form-check-input" required type="radio" name="delivery_id" id="radioDelivery" value='{{item.id}}' aria-label="...">
                                </div>
                             <span id="txt" style="text-align: left;padding-left: 20px;height: 50px;vertical-align: top;" >
                               {{item.desc}}
                             </span>
                            </td>
                            <td style="text-align: center;height: 60px;vertical-align: top;padding-right: 20px;" id="txt">
                                {% if item.price == 0 %}
                                    Free
                                {% else %}     
                                {{item.price}}
                                {% endif %}
                            </td>
                        </tr>
                        {% endfor %}






                       </table>
                    
                       <div style="width: 100%;margin-top:2%;">

                    
                       <button type="submit" class="confirm-btn" style="user-select: none;display: flex;justify-content: center;border: none;" onclick="gotoPayment()">
                           NEXT
                       </button>
                    </form> 
                    </div>
                    </div>
                    </div>




                </div>
            </div>
    </div>

    </div>
  </body>
</html>
<script>

    function addadres(){
     

        window.location = "/shop/address/form"
    }
    function gotoPayment(){
        // document.getElementById("confirmForm").submit();
    //   const valAddress  = document.querySelector('input[name="radioAddress"]:checked').value;
    //   const valDelivery = document.querySelector('input[name="radioDelivery"]:checked').value; 
        // window.location = "/shop/payment"
    }
</script>
